package user_e

type ReportType string
type GameType int
type GameOpt int
type GameStatus uint8
type GamerStatus uint8
type GamerPlayerStatus uint8
type GameMode = int

const (
	ReportTypeGameStart  ReportType = "user_start"  // 战斗开始通知
	ReportTypeGameSettle ReportType = "user_settle" // 战斗结算通知

	GameAutoMatchYes = 1 // 游戏自动匹配
	GameAutoMatchNo  = 0 // 游戏非自动匹配

	GameTypeLudo GameType = 1 // ludo
	GameTypeUno  GameType = 2 // uno

	GameModeQuick   GameMode = 0
	GameModeClassic GameMode = 1

	GameOptCreate GameOpt = 0 // 创建游戏
	GameOptJoin   GameOpt = 1 // 加入游戏，自动准备
	GameOptExit   GameOpt = 2 // 退出游戏
	GameOptClose  GameOpt = 3 // 创建者关闭游戏
	//GameOptReady       GameOpt = 2 // 准备游戏
	//GameOptCancelReady GameOpt = 3 // 取消准备游戏

	GameStatusNoStart GameStatus = 0 // 未开始
	GameStatusGaming  GameStatus = 1 // 游戏中
	GameStatusEnd     GameStatus = 2 // 游戏结束

	GamerStatusUnready GamerStatus = 0 // 未开始
	GamerStatusGaming  GamerStatus = 1 // 游戏中
	GamerStatusEnd     GamerStatus = 2 // 游戏结束
	GamerExit          GamerStatus = 3 // 自己退出游戏
	GamerClose         GamerStatus = 4 // 创建者关闭游戏
	//GamerStatusReady   GamerStatus = 1 // 准备
	//GamerExit          GamerStatus = 4 // 自己退出游戏

	MgIdLudo = "1468180338417074177"
	MgIdUno  = "1472142559912517633"
)
